using IRaCIS.Core.Domain.Share;

namespace IRaCIS.Core.Domain.Models;

[Comment("受试者访视 - QC质疑对话")]
[Table("QCChallengeDialog")]
public class QCChallengeDialog : BaseAddAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    public QCChallenge QCChallenge { get; set; }
    #endregion

    [StringLength(1000)]
    public string TalkContent { get; set; } = string.Empty;

    public Guid QCChallengeId { get; set; }

    public Guid SubjectVisitId { get; set; }

    public UserTypeEnum UserTypeEnum { get; set; }
}